Bug 11203 - CTDB has some remaining IPv6-related issues
CTDB has some remaining IPv6-related issues
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
4.2.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-08 07:37 UTC by Martin Schwenke
Modified: 2015-04-20 19:39 UTC (History)
1 user (show)

See Also:


Attachments
Patches for 4.2 (3.76 KB, patch)
2015-04-09 05:13 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2015-04-08 07:37:40 UTC
This is a follow-on to BZ 10996.

The main fix here is:

    Drops the iptables() and ip6tables() functions and, hence, the
    hardcoding of paths /sbin/iptables and /sbin/ip6tables.  The latter
    avoids problems on openSUSE where (for example) /usr/sbin/iptables is
    used instead.

The other one is a test fix.  Nice if the v4-2-stable can pass the CTDB test suite.

Commits from master:

            82aa6bd  ctdb-tests: Fix tickle sniffing for IPv4
            ab51f28  ctdb-scripts: Call iptables/ip6tables directly from iptables_wrapper
Comment 1 Martin Schwenke 2015-04-09 05:13:39 UTC
Created attachment 10939 [details]
Patches for 4.2
Comment 2 Amitay Isaacs 2015-04-09 13:09:13 UTC
Hi Karolin,

More fixes for 4.2.1.
Comment 3 Karolin Seeger 2015-04-09 19:17:08 UTC
(In reply to Amitay Isaacs from comment #2)

Hi Amitay,

the release branch for 4.2.1 has been frozen yesterday. Does 4.2.2 work for you? 

Karolin
Comment 4 Karolin Seeger 2015-04-19 19:14:30 UTC
Pushed to auatobuild-v4-2-test.
Comment 5 Karolin Seeger 2015-04-20 19:39:17 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-2-test.
Closing out bug report.

Thanks!